461c3f6545 capinfos: fix leak of message digest handle
dc2f4bdf26 wslua: use Filehandler.extensions for controlling output files
c7fda768f4 Qt 4.8 compatibility for escaping HTML
1e1274a889 Update some of the NSIS packaging documentation.
5f58d96717 MaxMind DB: Shut down our mmdbresolve process.
be1af00448 Properly reset a variable.
bbe5fc1028 Epan+Qt: Invalidate cached column strings.
03af5553eb ssl-utils: fix compilation if not HAVE_LIBGCRYPT_AEAD.
b19ca06fcc tap-sctp: remove leak of sack and tsn (found by clang).
f96abc7fc0 tap-sctp: remove leak of tmp_info (found by clang).
d6161a656b tap-sctp: rework the memory allocations.
2ee7d2100c TLS13: support draft 25 and 26
8f3ebb4ea3 TLS13: implement trial decryption for early data
ab40224aca (D)TLS: restrict ssl.ignore_ssl_mac_failed preference to ssl
b9b5c6b680 f5ethtrailler: Fix Dead Store (Dead assignement/Dead increment) Warning found by Clang
f421297fdb Omron-FINS: Added parsing of CS1 mode FINS memory area codes.
710cf8121d Nano: do not use packet scope strings in columns
0ebcd27377 Trust CMake's Visual C++ version detection.
07647c2555 NAS-5GS: Start updating to version 0.4.0
eb7181cb3c [GPRSCDR] Update to 3GPP TS 32.298 V15.1.0
51f4a01a02 f5ethtrailer: Fix calling col_info with NULL format string.
5277e67339 thrift: Fix typo in dissector table description
b9741b0d41 [GTPv2] Add new IE Secondary RAT Usage Data Report
13e7c1229d Migrate sharkd to MaxMindDB.
4eaee4f094 Export ZigBee ZCL functions in the libwireshark.dll.
a7ef22d247 Register the ZigBee ZCL cluster with a manufacturer specific code.
be177eb84f Add support for ZigBee ZCL manufacturer specific attributes and commands.
8f86a3b6cb .mailamp: update (of Q1 2018)
46a7b4fd5e CMake: Don't build fuzzshark by default on Windows.
4c750d98a2 Windows: Conditionally set CREATE_BREAKAWAY_FROM_JOB.
6dcd7a70a6 Get rid of trailing white space.
068dbc809f Expand a comment.
0f45f4bcf7 [PFCP] Fixed FAR ID, QER ID and URR ID Allocation Type String appended to the Tree in UI
2a227f72bf Properly initialize mmdb_lookup_t.
246f0bc012 Get rid of TestBigEndian and AC_C_BIGENDIAN.
fa27833548 Removed assert which was only used for debugging.
a2f9267615 Windows: Always assign newly-created processes to our job.
0874b8bac6 Remove popcount in favor of ws_count_ones.
a2cbec743e nordic_ble: Fix delta time start-to-start calculation
81068f9a22 GSM BSSMAP: fix a typo in in speech version range_string
9d74d9936d Column format functions must not be called with a NULL format string.
ce991ecb7d TDS: Improve dissection of TDS5 tokenized requests.
1915ce6133 CMake: Skip some header checks on Windows.
da05837004 CMake: Exclude wmem_test from the default build
2519115695 Remove some unused or hard-coded header checks.
1a52e085c1 Qt: Implement MulticastStatisticsDialog::treeItemData
c52b28c284 TLS13: prepare for early data trial decryption
50484e3f3f Add dissector for Nano / RaiBlocks cryptocurrency protocol
6e75a0b277 ber/per: assert actx to avoid null dereference (found by clang).
ba179a7ef7 eth: fix null pointer dereference when called from Lua
7e842fa551 F5ETHTRAILER: Initial cleanup from submission
f2f7f7e557 Add wmem alloc parameter to ws_find_media_type_parameter.
68efae8588 Adapt to current WS code base to make it compile and run without warnings or errors
2a3b58d133 Resolve the F5PROTO_TREE_ADD... macros: They render our check-scripts ineffective.
85c4d2f583 Import f5 Wireshark plugin for the f5 ethernet trailer
55573495c8 [Automatic update for 2018-03-11]
cbe424b27d IEEE 802.15.4: show MIC and key number for decryption
4536696507 DOF: restore correct memory scope for decrypted buffer
fc6b725b18 tfs: Add high_normal and low_normal
3ceff67514 maxmind: check val_start before using it.
2a9097046e maxmind: use ws_strtou32 to convert AS numbers.
ab7fbb7395 gryphon: fix 'gryphon.usdt.action_flags' exists multiple times with NOT compatible types: FT_BOOLEAN and FT_UINT8
2ecb33c039 ENIP packets are not decoded as ENIP anymore
6a819d9950 MaxMindDB: Add country ISO codes.
5564c222e2 MaxMind DB: Fixup IPv6 address interning.
aae6b8442c Process MaxMind DB data one line at a time.
957b4a67ef Add tfs_activated_deactivated
b9f203c1da Don't put a comma after the last item in an enum list.
b8375119e3 Avoid the realloc() warning from VS Code Analyzer.
dcc3875847 Add ws_pipe_kill_child_on_exit.
5213c30f3b Regenerate dissector from updated template.
986c6b2e77 Regenerate dissector.
28da001090 Put a variable inside the block in which it's used.
66a1fefac4 kerberos: remove leak (found by clang).
190b2e89c3 entry_data.type is unsigned, so print it with %u.
5a4468ccaf Check for realloc() failing.
8acf0305a3 spdx: use consistent formatting for GPL-2.0-or-later
c2639090de maxminf_db.c: ad an explicit cast to please gcc 7.3.1
6c077a0818 mmdbresolve: remove leak (found by clang).
a395a8b993 GeoIP: avoid closing random file descriptors
02085c80ab IEEE 802.15.4: fix wmem_free instead of g_free; fix outdated comments
b91f7f1a0c QUIC: Replace cleartext by handshake
66eed04afe QUIC: Remove last long packet type about old draft (< 08)
cc795d4ddf WSP: check tvb_get_guintvar() success
1ac90d5254 Register and initialize the ZCL clusters in a uniform way.
446d9486ae spdx: convert files with multiple licenses.
fe2355e061 licensecheck: handle multiple licenses.
ce07a36337 SIP: Add a filter for icid-value.
4e6d989df4 Add MaxMindDB 1.3.2 library to Windows
572f78a861 LACP: protect a possible infinite loop
4495d8fbfd update AVPs of diameter dictionary for diameter t6a/t6b/t4 and add OFR in SGd interface of Ts 29.338
c9cb93acfc wsutil: add CR to license.
e7ab7a907c spdx: more licenses converted.
fdd426e410 spdx: more licenses converted.
0ae769adc1 IEEE 802.15.4: fix uninitialized variable warning
ea754b6761 Plug a leak.
7ffc4f96eb When looking up response codes, just keep the key on the stack.
6e32335be6 Intern MaxMinDB IPv6 addresses.
5f35b041c2 MaxMind DB fixups.
dbfd53cd60 epan: Ignore SIGPIPE.
ce46a023cf ieee80211: A few cleanups of the HotSpot 2.0 dissection.
32365383a9 GTPv2: Show spare bits in IE UP Function Selection Indication Flags.
5c25e1b2c1 S1AP: EmergencyAreaIDListForRestart is not an extension IE.
b91ef7da51 ieee80211: Fix Dead Store (Dead assignement/Dead increment) Warning found by Clang
7ddfccec19 gryphon: Fix Dead Store (Dead assignement/Dead increment) Warning found by Clang
6a62e2d22d gryphon(.h): fix indent (use 4 spaces)
c4d2ad476d ieee80211: fix indent (use 2 spaces)
e5de1f1994 wisun: Netricity segment control and reassembly support
3905c0d5d5 Don't unnecessarily cast away constness.
8a677354bd The routines that implement a codec don't need to be public.
241b274b5f Don't cast away constness.
695fbb9be0 Squelch some casting-away-constness warnings.
e7cf995b1e Squelch some casting-away-const warnings.
e5cc633ee4 Constify an argument that doesn't need to be non-const.
957845f5a4 CMake: Don't bother compiling zlibstatic.
39a65995cc CMake: Exclude test targets from the default build.
eefa76a7c8 address_types: fix returned length of eui64_addr_to_str
cc45082635 Gryphon Protocol dissector fixes and updates.
fbb042336a IEEE 802.15.4: support vendor specific commands; small cleanups
a3e1967d8e Debian: Fixup some symbols.
e1790da88c Hack to fix ABI checking.
1592587e6f LWAPP: define a recursion depth limit
7dd7a05d48 [NAS-5GS] Dissect more IEs
3132a50448 Autotools: Build rawshark.
692cef88c7 dissectors: more SPDX license convertions.
5375283f92 Qt: remove leak in simple_statistics_dialog (found by clang).
4f36a28acb Qt: remove leak from protocol_preferences_menu (found by clang).
fe71e26af2 spdx: more licenses converted.
71f36379ae licensecheck: add BSD licenses.
8a5385b9c9 More licenses converted to SPDX.
830adb2a02 Qt: rework routine in module_preferences_scroll_area.
3a54fd1d7d bluetooth: Update Assigned Numbers
f789736521 Qt: Handle UAT editor dialogs explicitly.
9a5217bdd4 Fix another leak, which happens with -E occurrence=l.
37723968d2 WIP:ieee80211: HotSpot 2.0 fixes.
6db59affd9 print: free memory if not used (found by clang).
8a5cd7a5c6 ieee802154: fix 'wpan.tsch.timeslot' exists multiple times with NOT compatible types: FT_UINT16 and FT_NONE
99a329891d nas_5gs: fix duplicate entry
f38e895dfc Plug another leak for Wiretap errors.
68216fa2da IEEE 802.15.4: Add expert warning for Payload IE in header
b94d3af303 failure_message.c: fix a memory leak if err is not negative
035f49d2c8 PCP: allocate conversation info in file scope
8f81eb2cf6 H223: fix a memory leak in conversation management
89a715eba4 SMB1/2: Update some FileFS fields with new flags
05c4705a19 multipart: use packet scope memory to avoid leaking in case an exception is triggered by subdissectors
4581eb2de2 GIOP: use wmem packet scope for get_modname_from_repoid()
bf4e620e2d LAPD: fix some memory leaks in conversation management
4945c50d3f SMB2: use file scope to avoid leaking memory
cc764b92ac Add additional dissect information in the ZCL Level Control Cluster.
1b18b1dd0e ISUP: plug some memory leaks
f46d129f21 oids.c: fix a memory leak in oid_string2subid()
fd62e506b9 Eliminate unused structure members and an unused list.
e3c263c012 NSIS, WiX: Handle the presence or absence of mmdbresolve.
f0fb6ee50c mmdbresolve: Process our command line arguments by hand.
0ddaec13a1 Get rid of unused information.
98ab887a2d TN3270: fix memory leaks in conversation management
76267f4bc5 maxmind_db.c: fix a memory leak
f0f4adc9d9 maxmind_db.c: add an explicit cast to please gcc 7.3.1
b0b87e4b5f IEEE 802.15.4: individual functions for MHR/PIE/payload processing
99240e62bf Docs: Updates for xsltproc and Asciidoctor.
f52bb2bf27 CMake: Fixup our Chocolatey bin path discovery.
2eb6f3b5de CMake: Remove SH from the packate list.
a1da75c554 Transition from GeoIP Legacy to MaxMindDB.
b2d3680558 CMake: Remove FindSH.
69ddfecb76 ipsec: zero memory in get_full_ipv6_addr (found by clang).
186714314d dcm: Fixed crash in dissector, and other bugs Some tag descriptions which are added to the parent item (32 tags). If one of those was empty a crash occurred. Mainly the RTPlan modality was affected.
0632770321 Use the generic function decode_zcl_time_in_100ms instead of the local zcl_fmt_time_tenths.
4d3721b1db [Diameter] Added extended AVPs for Gx and Rx
0d9d69a1e6 [Diameter] fixed valid Diameter xml
b434e0a03b VLAN: define a recursion depth limit
c39dbd68d4 extcap: add g_free to extcap_free_toolbar_value (found by clang).
60f2c8e588 wisun: fix, improve, and refactor Wi-SUN IEs
c4f224c092 Add missing ZigBee ZCL Scene cluster commands.
dd21b8130c IEEE 802.15.4: always allocate protocol data if not present
cde7cc54a3 NBAP: avoid linking a DCH-ID to itself
df83de9b64 wisun: dissect Wi-SUN Netricity IEs
6bb0d8b7ff 6LoWPAN: fix cast-qual warning
b99b9b81dd dof: use tvb_memdup instead of g_memdup.
5e03b4e342 dot11decrypt: free memory on exit (found by clang).
5a05aa238c RTSP: Fixed missing space in column info between multiple pipelined messages
cf373df796 coloring rules dialogue: remove unused signal
5b079291c4 Windows: Remove support for MSVC older than VS2015
c37eeafe81 dissectors: epon: Improve preamble detection
0fcfc634dd [Automatic update for 2018-03-04]
177962a5b4 enip: use wmem for copied addresses
b70eb189bb mmse: remove a ton of if (tree) checks
4630b4fcf8 clean up tvb_get_guintvar() a bit more
59af408e9e wap: include stdio.h
41f18ae7f5 tvb_get_guintvar: correct a debug print
b475758123 tvb_get_guintvar: don't overflow our return value
b580bdb9dd Add support for new peekremote features.
7b7e53e6bd PDCP: show wrong calculated digest on MAC item, and add some comments about calculation
eccbc4bade PDCP: don't link back security setup to self
432166de1e WiX: install the other plugin types as well
302fa68817 Don't crash in manually_resolve_cleanup() if there's nothing to clean up.
07cb624e48 Move what capture_info_close() does into its only caller.
c7872232e5 More indentation cleanups.
39dfda115a Clean up indentation.
aeed520cd8 Fix a warning message.
5bac06f00b Remove declaration of routine that no longer exists.
d95d6a59c7 Remove an ipmap remnant.
f529ab5d0a Remove the endpoint "Map" feature.
84c7246e4c extcap: Make settings dialog modal
0de7313fe2 [NAS-5GS] Dissect more IEs.
80d652f06e More spawned process handling updates.
184ef02111 Fuzz-test: Handle ABRT.
51165cfcb7 NAS-EPS: added heuristic udp dissector
8451a8efda XRA: added upstream channel id, sid and iuc to burstinfo dissect
59b0d22ec0 Windows: Update target version info
13bb4911af [NAS-EPS] Use proto_tree_add_bitmask_list() for some bitfields.
e8088329ec One strstr() call suffices.
24b5a55393 quic: Make sure that we still build when certain libraries not found.
68e16ab05b RLC: Fix duplication check after sqn reset
1fa2781b7a Bluetooth: Initialize ett features for Media Player Dissection
6e09b8b391 PDCP: speed up dissection of status PDU.
1a0987904f Generalize our process spawning code.
bf4c2fd82b Windows: Remove cruft for unsupported versons
92bb9ec9da Fix compilation without pcap.
363ebc01ee [NAS-5GS] Dissect more IEs.
85e7e61e5f ieee80211: Fix some issues with VHT/HE NDP Announcements.
cca89ca837 gitlab-ci: add clang 7 builds.
9e02ae10d5 NAS-5GS: fix PD values for 5GS SM and 5GS MM
4b4d11e4c3 ZigBee TP2 buffer test request malformed packet
cd83fc5087 [PFCP] improved various value printout
b5b5f08be1 Qt: Make we shut down cleanly when exiting early.
e70e560cab QUIC: Add heuristic for avoid conflict with GQUIC
c332f6e1f9 QUIC: Add dissection of RETRY
8c85f0c35c QUIC: use switch/case for long_packet_type and move to function
1e26cb242f NAS-5GS: More dissection.
00373a1fd4 Simplify the mode passed to CreateNamedPipe().
efd8beff4f Don't handle various "command to send" values in the default case.
620f69a74b mp4: limit the recursion depth for boxes
94d3f0afc5 [PFCP] added two more IEs
7df07eb922 Print the right value for signed statistics tap table items.
9226ea8dee flex: add also (-W)unreachable-code to ignore warning (for flex generate file)
16ac61e2a3 Fix StringCchPrintf() calls.
ea0b580b97 Fix a check.
03474c1303 Redo the way we choose N/S/E/W.
d11f43a30e QUIC: Display GREASE version..
9f2dff98f6 Include <config.h> so UNICODE is defined.
7eff18a997 t38: allocate memory in pinfo pool scope.
07bb8fc047 dof: don't initialize nonce it is useless.
87dfaa72cf 6LoWPAN: Less scary display if UDP checksum is elided
389a680cf7 csn1: set pointer before using it (found by clang).
0fb38879af L16_mono: Add L16 monaural codec plugin as functional example
b405a9f0d2 rrc: remove unused function.
b8101ed9a9 rrc: move allocation within if statement.
2db0957d49 tshark(.pod): fix spelling-error-in-manpage found by lintian
dfd0e65e30 GQUIC: Try to fix ACK frame with Q039
5488c29b15 GQUIC: Change all integers (and floating) encoding
417028073a GQUIC: for item with length = 1, use ENC_NA for encoding
d8e7372218 GQUIC: Packet Number is now big endian
eb15a1ed19 BGP: Heuristic for IPv6 NLRI path identifier
faf6ee9ada [PFCP] added Aggregated URRs IE
d023a7b231 [PFCP] Name update of IEs
fe363c540e Make sure GetModuleHandle(_T("kernel32.dll") succeeds.
768488d21e ieee80211: Fix handling of compressed block acks.
48a4ed1058 Squelch some Visual Studio Code Analyzer warnings in Flex-generated scanners.
d4ef22db8f Make sure CAPACITY() doesn't shift the 1 out of range.
ac69a67112 ieee80211: Fix the handling of PPE Thresholds for 802.11ax.
7176b32166 addr: Include trailing '\0' in length from ipv6_to_str()
bbb6bcbbab rtspstat: use integer cast in g_hash_table.
7a79a6019e [PFCP] updated Report Type IE
2024eb1fbc [PFCP] updated Measurement Information IE
04c2cbc9a8 [PFCP] more name changes
1055a6a76d lacp: Info column and display filter rework
32e99b355d CMake: Add more .PDBs to pdb_zip_package.
8f4ea952b4 6lowpan: Use correct offset for "UDP header compression" header
c7c034172e [NAS-5GS] Dissect more of the protocol.
9a512f7aa6 lacp: remove unused assignments (found by clang).
b0328ae52e wisun: extend EDFE display; fix Authenticator EUI-64 field name
4314ac72c1 [XML] Add application/rs-metadata+xml
1653ea5fce adb: fix buffer overflow while processing message payload
ba0f4b9d9f adb: fix Malformed packet while parsing CONNECT command
61d033645d Qt/USB: Allow USB src/dst addresses to be selected for columns
30692e2f3a Allow hexadecimal and octal numbers for tshark Decode As
5cbc09e937 Qt: accept hexadecimal input in Decode As dialog
15c261e94b ERF: Add support for new extension header and Provenance tags
21b4d6ecf1 multipart: initialize value before function call (found by clang).
629e68828c rrc: check parameter when creating cipher info (found by clang).
f31bc46948 Add  ZigBee ZCL Identify cluster command.
0a113becea [PFCP] refactor flags and triggers
c4521c24f6 [PFCP] fixed Graceful Release Period IE
7dc9392dea Add undefined ZigBee ZCL Power cluster attribute.
09765707a7 [PFCP] Fixed order of IPv4 and IPv6 in Remote GTP-U Peer IE
6b66e764ee catapult dct2000: don't dump comments one char at a time, and other fussing
1c1498834d Squelch some warning noise when dsymifying.
7b3ce599ec Dsymify binary files.
12f8f43893 NAS 5GS: Comment out unused variables.
74641daaae adb: fix decoding of local-id argument of Write
ef0e8416d5 [GTPv2] Add new IE UP Function Selection Indication Flags
4303883005 [NAS 5GS] Add dissector for NAS5GS 3GPP TS 24.501.
73e9605adb LACP: Begin adding more info to the INFO column
7fadcdb7ac [Diameter-3gpp] Add bit 8 in Access-Restriction-Data according to 3GPP TS 29.272 V15.2.0
be1c933600 DNS: add partial DOH (DNS Queries over HTTPS) support
f220073eec RTSP: Added support for pipelined RTSP responses
e9ffd03be3 wisun: support EAPOL Relay (1v21 format)
9e487bc465 PDCP: trivial changes
f5cd52c0fb Docs: Reduce our TOC depth.
03718fee4d zbee zcl se: fix duplicate entry
331ffaf323 WSUG: Fixup an apostrophe.
c1e5e6c92d WSUG: Fixup some quotes and apostrophes.
1585aa950c Docbook: Update our CSS.
8b810d2d42 wisun: wisun remove unused ei_wisun_wsie_short_format
3fb9882a20 mq: fix duplicate entry
a29d697a25 kerberos: fix duplicate entry
a35592eb20 proto(.c): remove extra bracket
6580e3f19f isup fix duplicate entry
d7e1970cbe [Automatic update for 2018-02-25]
20d7254cb6 Bootp: Adding some DHCP options
ba4ff84e94 TDS: Fix Dead Store (Dead assignement/Dead increment) Warning found by Clang
b4368e14b0 802.11: Fix Dead Store (Dead assignement/Dead increment) Warning found by Clang
ec99b833d2 Add undefined ZigBee ZCL Basic cluster attribute.
b3bc6dcc02 I don't see a need to treat ipmap.html specially.
ee2bfbf7b4 The parser is at the bottom, so the shadow warning must be turned off there.
852e3378b6 IEEE 802.15.4: Rename ieee802154_payload_* to ieee802154_decrypt_*
c316799e49 TDS: Minor updates to TDS 5 Response token handling
c0b2d82fc4 Suppress some warnings caused by a Berkeley YACC bug/misfeature.
f07d295fcf TLS1.3: Add support of draft-24
e73e3580f6 Rename airpdcap to dot11decrypt.
3785f53089 User Guide: add additional use category
6c7a5b4889 Fix capitalization and white space.
6a2ec55d6e radiotap: Fix bug 14455.
c3c053ba1c Get rid of the ipmap.html that got dropped into Contents/MacOS.
53744af182 The DOCSIS dissector isn't a plugin any more, either.
656439db26 Clean up description of power and attenuation fields.
e3db7c581c I don't think ipmap.html belongs in the same directory as the binaries.
a8ed879d7e Work around a duplicate dest mac that appears in *some* frames captured on a FEX
24ba73ccf0 [PFCP] fixed Timer IE
38425dd78d QUIC (TLS): Remove support of draft < 08
794b1e7569 RTSP: Dissector should create RTP conversation if only server port was negotiated
1248c658d1 mate: change strcmp in g_strcmp0 that supports NULL (found by clang).
9c11de60de wiretap: zero memory on allocation.
4d3b39938d [PFCP] fixed DL Buffering Duration
017167fb34 Just use tvb_memeql() to check the signature.
86f329aa94 LTE MAC: check direction and lcid before looking up msg3 table
1ccfef8b3f ans: remove unnecessary if (tree) checks
51cd1db521 [PFCP] fixed Unsigned32 in Time Threshold
3a79b6f87c [PFCP] Improve Traffic class field
e3fcac94b8 [PFCP] fix UL Gate bits in Gates Status
06bb9450dd [PFCP] Improve SDF filter - part2
4031e19e12 [PFCP] Improve SDF filter
eb2e910124 Remove more cruft.
dfe22ab861 Get rid of the -sdkroot option; it doesn't affect anything.
316b858d28 Fix stripping of binaries.
434d1c9759 Remove a bunch of obsolete code.
529bb04910 Don't use find to find files to check for dependencies.
9dcded61a1 Code-sign extcap binaries.
727c815ad2 IPMI: Disable bus command dissection.
f14f76d12a dmp: Allow multiple SecurityCategories again
380381ce72 TWAMP: Reassemble only the Server-Greeting message
4c8c59ca7d csn1: fix indentation.
eb2b8dd98a Check for dependencies in all subdirectories of $pkglib and $pkgexec.
2e139a15fa SIGCOMP: Disable UDVM dissection and decompression.
05cd2b6c1c Update comments to reflect current reality.
ba58d62cd1 Fix endianness.
21124903d5 nettrace: remove wrong frees (found by clang).
032cb4b79f Catapult DCT2000: Update sscanf patterns, and avoid calling if possible
01e8f509d7 TWAMP: Fix packets changing type in wireshark GUI
e57ecf4acd IEEE 802.11: fix build with gcc7
e510ceed05 Reenable ieee 802.3 encapsulation and small cleanups/updates
818b58da97 TDS: Improve dissection of TDS5 responses.
1f95d39b62 rawshark(.c): fix parameter 'phdr' not found in the function declaration [-Wdocumentation]
ba72f731c3 DIS: move modulation parameters to correct place in tree
c95424a8a4 packet-rsl: Add RLL UNITDATA INDICATION
0f44950796 radiotap: Fixes because the meaning of some fields changed.
b443d4646e Qt+Windows: Adjust our DBAR check logic.
b293c97ad3 ieee80211: Start to dissect 80211ax trigger frames and other fields.
c76b378453 FP: Fix U-RNTI issue in E-DCH
205424287b Qt: Improve our capture filter completions.
5d45b69b59 WCCP: Make sure our offset increases.
85bbda514a DMP: Recurse only once.
5aaf741c81 And systemd weighs in on how to find out the distribution you're on....
0161a5ba52 Don't strip debugging symbols from the binaries in the macOS image.
95e33c7097 dof: use g_malloc0 to prevent uninitialized memory (found by clang).
7802bbb091 TWAMP: Avoid triggering an infinite recursion
4c9cb5220d ftp: calculate bitrate of ft-data session
70554429a6 Fix detection of file type.
9788199a61 [GSM A RR] RXLEV-SUB-SERVING-CELL displayed with wrong bitmask.
566d20f444 dfilter: use g_malloc0 to prevent uninitialized memory to be used.
0a3c713d8c QUIC: Use new labels for decryption (draft-09).
acb6781012 TLS: allow QUIC dissector to pass HKDF label for ciphers
62d34fcc2c Squelch some cating-away-constness warnings.
b96eba436b Bluetooth: HCI_EVT: implement LE Extended Advertising Report
9efce5c916 Don't unnecessarily cast away constness.
a888bf7e68 wisun: Small comment fix
748ea162c3 Updated Wi-SUN dissector to latest specification.
d0b07245ec tools: add git to optional pkgs in debian-setup script.
238550b9c5 Make some arguments const, and remove casting-away of constness.
1c5e6a1b34 Eliminate another casting-away-constness warning.
dc1ab9f32b Remove a casting-away-constness warning.
65aa59d28a RPCoRDMA: Set an upper bound for our chunk size.
2b74b5c4c8 BER: Add a length check.
9c5803ff76 Airpdcap: Add length checks.
c9a081c3dc Add a CheckPoint specific mac address
bc43d687f0 fuzzshark: don't fuzz udplite.
e788fac9fa Squelch some casting-away-constness warnings.
cb31f56204 Don't cast away constness.
bc4e15b579 Don't cast away constness.
95cb454355 Constify an argument, remove no-longer-necessary removal of constness.
b00e7fc088 Constify some method arguments, and don't cast away constness.
ba7657cb19 Cast away constness at the point where it can't be avoided.
442e06d9c6 Don't gratuitously cast away constness.
209f7700b3 Don't cast away constness.
4e857ad20c Type casts without const lose constness.
3366317943 ieee80211: Remove obsolete assignments
d209fe6e18 pcapng: Free option_content on error
fc9ee03ada gitlab-ci: speed up the builds a little bit.
224215cb42 Qt: Right justify custom columns with multiple fields
1044d56e3d Qt: Improve sorting of custom columns with multiple fields
f7c8f0c8a5 snmp: add missing initializers in deep copies.
fa1635f5b0 ieee80211: fix preamble duration calculation
647e5b449a Use units for the server recv->send duration.
0a8152c260 Use ws.css in the release notes.
a82621eecb FT_FLOAT and FT_DOUBLE support BASE_UNIT_STRING, too.
91409213ad DOCSIS: Remove concatenated PDU dissection.
8a173c9812 Clean up the way we handle the server recv->send duration.
a8ff1335f9 Extract bits by shifting, not using exponentiation.
dc6b9dfcd6 Define macros to calculate (2^N)^M, and use them in more places.
e4787a9190 Don't use floating point to calculate 4^N, for integer N.
5c0cf42243 packet-thread: fix cast-align warning
a806389e50 RELOAD: Fix a length check.
3576ca2cd8 Remove eproto2sgml.
e2fbca05bc TWAMP: Try to reassemble Server-Greeting message
cf2a29f083 Check whether to do dissection after starting taps.
e2d5c537df Reorganize and expand the description section.
70608effe4 TWAMP: Handle short TWAMP-Test packets
8da569b6ad WSDG: Update docbook info
dbb5c73fec [PFCP] Added missing User Plane Inactivity Timer IE value_string
042cfea07c Qt: Use QFrames as separators in the filter expression toolbar.
c61b543e97 Get rid of more new_ prefixes for statistics functions and types.
6a0a56ed07 Note that -P can override -Q's suppression of packet output.
f81f2c4a6f release-notes: Add 802.15.9, RFC 4108, and Wi-SUN FAN; sort new protocols list
ca7ac05cf0 Fix some source headers, reformat SPDX license lines in comment block.
44a6e2dea8 marker: return unused offset (found by clang).
bd9d79fcd7 marker: fix indentation.
e090683aff TFshark requires a file to be specified.
0347538758 Don't start command-line taps until we've opened a file.
da861e4311 We don't do taps in rawshark, so there are no taps to start.
22dc113852 Don't start command-line taps until we've opened a file or started capturing.
d9d6106044 ASN.1: update auto generated dissectors
47726eafe5 NBAP: check that DCH ID was initialized before using it
8760999f64 LLTD: use wider variables to prevent overflow and infinite loops
b6328eba6a DICOM: Prevent infinite loop (dissect_dcm_tag)
95affa1ef1 USB: Sanity check Darwin USB header to prevent infinite loop.
bee04353b9 DIS: fix Modulation paremter length
aef93dba8c gitlab-ci: remove not working clang repos.
632c6261ca [Automatic update for 2018-02-18]
fcea7205a4 Get rid of unnecessary casts.
38d784d547 6LoWPAN: break loop in case of unexpected loRHE type
5d99febe66 S7comm: fix range check to prevent infinite loop when upper bound is 255
cae52d27d6 Don't gratuitously cast away constness.
e61257988e Make all versions of add_unix_interface_ifinfo() static.
16348cbddb Clean up missing-prototype warnings.
04704e289f Don't gratuitously cast away constness.
137da3f106 Don't gratuitously cast away constness.
2530b75e1d Don't gratuitously cast away constness.
55042dc15b Don't gratuitiously cast constness away.
23b8d11546 Don't gratuitiously cast constness away.
ef96c91060 Put back casts needed for C++ compatibility.
92f3a0f3e9 Don't gratuitously cast away constness.
a14c6a8490 Constify a pointer to squelch a warning.
1c5d6881de Qt: Another filter expression toolbar layout attempt.
9826cde91d Constify a bunch of pointers and some casts.
4fe475492c Use appropriate pointer types rather than guint8 *.
397d32b863 dcerpc_decode_as_change() doesn't need to change the old binding.
86f2ff6ec0 Yet Another Narrowing Warning to suppress.
cd443126a4 No need to cast away constness.
8b9dfbaba9 The CRC8 routines don't modify the buffer; make the pointers to it const.
dc8bd7c3a9 Fix argument list in comment.
5bf8da8a4c Fix casts.
f0393a5975 wisun: Add EDFE support
306c1c85cd ldap: Format text used in COL_INFO
6be0444caf Don't make separate libXXX_generated libraries.
49e331c4ce Thread: use wider variables to prevent overflow and infinite loops
0fa1176c22 Add `-z http_ref,tree` to the tshark man page.
a9823dddf3 Qt: Replace the toolbar extension icon.
d0b9db8cd8 Qt: Add separators between filter expression buttons.
459bd4646d Don't have CLEAN_FILES variables for the "clean" source files.
5f0d50690a Use -Werror except for explicitly listed dirty dissectors.
0ac5c797fe Don't use GENERATED_CFLAGS on generated files, use AM_CFLAGS.
eb6eee72d6 Don't treat radius_dict.l specially.
a931f49dbb Update the release notes.
0ee6e43478 Compile text2pcap with -Werror.
f4cd45f6fe Treat the text2pcap scanner as clean.
4a69d10920 Squelch redundant declaration warnings.
c881ee37d9 [PFCP] Added dissect function for User Plane Inactivity Timer IE
72b57ac4ef Use DIAG_OFF_FLEX/DIAG_ON_FLEX more consistently.
09671923ad mac-lte: fix memory leak of mac_lte_msg3_cr_hash
cfafb915d1 [Diameter] Gx Supported-Features AVP, List-ID 2
1b574b907f capchild: remove double free (found by clang).
8bc1c6e3e8 Add DIAG_OFF_FLEX and DIAG_ON_FLEX for use in Flex scanners.
b6bec7d1fd Treat most Lex-generated and all Lemon-generated files as clean.
08754c3893 Suppress more PortAudio + Win64 compiler warnings.
a5094050e4 Fix a case of copy - too little modify - paste
11e0df5e3a Put some info into the INFO column
364d9a999d Look in %VCToolsRedistDir% for the VC++ redistributable.
d45bd7cb24 Move hkdf_extract to wsgcrypt.h
7ae954c7ac steam-ihs: Add dissector for the Steam IHS Discovery Protocol
a660215dea fuzzshark: disable reassembly for few protocols
010c73daa6 Disable warning C4267 in generated files.
6325ceb5e5 DCT2000: read new LTE MAC outheader values
2934683aa1 Fix a typo in the I/O tests.
bfedd74e99 CMake: Try to avoid Strawberry Perl's xsltproc.
7da66f8676 SIGCOMP: check operand offset when accessing UDVM memory
6c00182e1a travis: add asciidoctor.
f7e90534fa [nb_rtpmux] Register dissector by name.
9198448f9d Qt: fix crash in packet dialog on changing selection
f0db412f57 Convert coloring rules dialog to use model.
a3e14cb514 Debian: Update Build-Depends.
3084125696 Qt: Fix the filter expression toolbar layout.
6f2d4c2712 Wix: Look for merge modules in %VCToolsRedistDir%.
944e661514 OpenFlow 1.5: add extra property length checks
4904dd5517 packet-mq: Code reformat
621d1496d7 OpenFlow: update openflow_version_values value_string
2bff4c197b XRA: protect against potential infinite loops and add protocol to release notes
af6433196e Update symbol lists.
8c81423912 Add the Excentis XRA DOCSIS header dissector to CMake.
c82abe48a5 Update the introductory comment.
b4dc30ce73 ieee80211: Correct the actual bit positions of the reserved bits.
6a910946cd Added dissector for Excentis DOCSIS31 XRA header. DLT 273. Builtin version.
9eee872f8a cms: Add support for RFC 4108
feb8f6b14d Make the DOCSIS dissector a built-in dissector.
048c4373e1 Asciidoctor macro fixups.
d332507ef2 Fix the "pointer to function that generates a label" values.
bb9e26eb49 ssl: Add session ticket lifetime units in seconds
7650151311 more SPDX convertions.
3db1c06404 tools: fix zlib check in licensecheck.pl.
bc72f7cf58 data: Add option to uncompress compressed data
7fd6abc1eb tools: remove extra spaces from licensecheck.pl.
d2af01684c IPv6: SLAAC ether address is 8 bytes
0b1e354458 Update couchbase dissector with 'flexible framing extras'
9cc4a3b967 CMake: Install the HTML guides.
d1ce1baf63 WMEM: Add strjoin routines.
2cf6517ec0 NBAP: Fix and enhance SIB parsing
045c48e81e html2text: Prefix lists with a bullet.
8ebbf99173 Remove Lynx.
3b940d2a83 [PFCP] Fixed a typo in Outer Header Creation IE
fe219637a6 dissectors: use SPDX identifiers.
e9376e4730 h225: Fix use after free.
27b571e62f NBAP: copy address in pinfo->pool
ae91f43155 Extract HKDF-Expand from TLS 1.3 dissector
d2016c6a1b RPC Netlogon: do not leak memory each time a hash is generated
a958533c6a fuzzshark: disable protocol in fuzzer if it's used by other fuzzer.
0bd863ae46 packet-ipmi-picmg.c: Add NULL check in rq17.
ba3cfb403a WCCP: Prevent very long loop in dissect_wccp2_alternate_mask_value_set_element
620647a3e0 SCCP: Use int datatype for offset to prevent infinite loops
5e8391ff90 RPKI-Router: Sanity check length field to prevent infinite loop
0c425e857a ceph: clear_address() to make sure to use initialized memory in set_address()
32ab83436d SIGCOMP: use correct message length
443921983e Fix dist.
86376e8447 Fix ASCIIDOCTORJ_OPTS.
94a0f7c641 Switch from AsciiDoc to Asciidoctor.
5a674d05c9 wslua: Convert more comment markup to Asciidoctor.
04df34909f ModelHelperTreeItem: Rename appendChild -> prependChild
e438cf2e89 ieee80211: Fix reserved bit positions 18 & 19 when HE Support not set.
fa258523a9 [Automatic update for 2018-02-11]
991974db7f dct2000: avoid allocating/storing/freeing empty string
aee743f9ed Write our NSIS installer to the build directory.
d16308c89a UDP: Heuristic dissector for conversation taking precedence
9ff64c8d7c musl: compile with musl libc
6176441f61 radiotap: Add support for the EOF bit in the A-MPDU Status flags.
02a3056af3 androiddump: Fix non-blocking connect on Windows
bfef57ebb7 androiddump: Fix and simplify tcpdump capture
78b7da7716 CMake: Don't shadow PROCESSOR_ARCHITECTURE.
0b649a0910 Separately count all records and data records.
9797f34074 Move the merge_action_e enum to the Win32 file dialog source file.
794596d936 Fix indentation.
25d90cb13c Put the preview-generation loop into a common routine.
be38102eea caputils/tools: more SPDX convertions.
5a94c7d14e epan: more SPDX convertions.
a9733b5cd5 tools: fix BSD license name in licensecheck.pl.
d2d1f793f8 plugins: use SPDX identifiers.
ff6e2fbb1b wslua: use SPDX identifiers.
99e645bfdb Do changes from Generalize wtap_pkthdr into a structure for packet and non-packet records for file_dlg_win32.c
12cc2ca8f4 Update symbols lists.
589aa9070a pcap: Update link_type_vals
f73ae69ba9 Do the maximum block size check in pcap_read_block().
bd41b8e417 RLC graph: fix zooming, both in normal case and when graph direction has been switched
b511312633 html2text: Skip some tags and add references.
228b122dc9 Rename ft_specific_data to reflect what we're actually using it for.
9425d6e901 Remove redundant members from wtap_syscall_header.
1f5f63f8ef Generalize wtap_pkthdr into a structure for packet and non-packet records.
e4c5efafb7 CIP: Highlight correct bytes in Req/Rsp processing
60c5ec67f8 CIP Safety: Add decode options for I/O Payloads
41812f2d68 QUIC: Add initial draft-09 support
55c68ee69c epan: use SPDX indentifiers.
fc082fa2a9 wmem: use SPDX identifiers.
1a9c364198 Get rid of no-longer-used variables.
544f7a26da QUIC: remove draft-07 support
1d6ce5af72 QUIC: QUIC is not longer a ACRONYM
16b07fa6bc writecap: use SPDX identifiers.
ec2d31049f debian: use SPDX identifiers.
8cd389e161 replace SPDX identifier GPL-2.0+ with GPL-2.0-or-later.
bfd2dbcf25 tools: remove garbage from licensecheck.pl.
f814c40ad3 tools: add new SPDX GPL format to licensecheck.pl.
8eed71f539 tools: remake the indentation of licencecheck.pl.
a2265f73b5 packet: Whitespace cleanup
a56d9ba30e json: Add for decode-as udp.port
58d5baf3c0 Cleanup HTTP Referer tracking code and use less memory
0f721985f1 Get rid of unneeded #includes.
390e80ee58 Fix white space.
a0e76588bb Get rid of unused structure member.
e5ac9e4cf0 Get rid of a calculation whose result is not used.
18bbdb478e Distinguish between "probably not pcapng" and "probably bad pcapng" errors.
600b84f4c1 Clean up the null pointer check in profile_exists().
62fc862bc6 Squelch an rc warning.
32923b94a1 Don't crash if an IDB resolution value is too high.
c0a0003824 WSDG: Remove references to Windows XP and Vista.
8ae0467e61 tools: Add SPDX MIT to licensecheck.pl.
80a1dd7029 NSRPC: fix heuristic dissector
22824478d1 wsutil: Allow NULL as profile name
28960d79cc netmon: Initialize struct netmonrec_comment on alloc
7ee8ead85c Include as "ui/summary.h", as is done elsewhere.
40a533abe1 Move summary.[ch] to libui.
908e25d5aa caputils: use SPDX identifiers.
782054c2d5 [PFCP] Fixed order of bytes in UP Function Features IE
cd8c73a355 Generate HTTP Referer statistics
71844ed50a wsutil: use SPDX identifiers.
c1f37d25c3 tools: add files from wsutil and caputils to checklicense whitelist.
0fdbc5e247 LPPe: use V1_0-20160714-C specification
c4a6016be2 tools: add licenses to licensecheck.pl.
9beab2d89f ieee1905: Fix the handling of AP Metric Queries.
b13678fd37 Added wmem_map_contains and wmem_map_lookup_extended
32ce1fd3dd Remove range_foreach_r from debian symbols
f4f44caa35 FCP: Add NULL check to prevent crash.
f29bafff46 Don't assume all packets have time stamps.
fa76cd57ff Reapply "Fix typo in DTN dissector"
c061522765 2.5.0 → 2.5.1.
59e4311fad Temporarily revert "Fix typo in DTN dissector"
61cc769169 Fix typo in DTN dissector
5df9b1d5d7 Build 2.5.0.
cb1a6528f9 Get rid of the pkt_encap field in struct packet_info.
6db88da7f7 Change the way we infer the type of the physical address.
7e76e5f2c8 Make sure we pass valid addresses to find_conversation.
